# Namer

open class Namer : Namer<T>

An implementation of the namer interface for objects implementing the named interface.

## Constructors

Namer
Link copied to clipboard
constructor()

## Properties

INSTANCE
Link copied to clipboard
val INSTANCE: Namer<Named>

## Functions

determineName
Link copied to clipboard
open fun determineName(object: Named): String
forType
Link copied to clipboard
open fun <T> forType(type: Class<out T>): Namer<in T>